import java.text.*;
import java.util.*;

public class SquareArrayPixel extends LabocaPixel {
	static int cols = 32;
	
	public SquareArrayPixel(int backendChannel) {
		super(backendChannel);
		cable = backendChannel % cols;
	}
		
	public String gainString(DecimalFormat df) {
		String text = 
			df.format(gain) + "  " +
			"\t" + df.format(cableGain) + "  "; 

		return text;
	}
	
	@Override
	public void parseGains(StringTokenizer tokens) {
		gain = Double.parseDouble(tokens.nextToken());
		cableGain = Double.parseDouble(tokens.nextToken());
	}
	
	public String gainHeader() {
		return "gain\t\tGrow";
	}
	
}
